Foros del Web » Programando para Internet » PHP »

Algun Destroyer puede ayudarme..?

Estas en el tema de Algun Destroyer puede ayudarme..? en el foro de PHP en Foros del Web. Hola amigos hice todo lo que me dijieron para conectar mi pagina php a mssql pero al ejecutar: Fatal error: Call to undefined function: mssql_fetch_assoc() ...
  #1 (permalink)  
Antiguo 07/03/2005, 09:17
 
Fecha de Ingreso: febrero-2005
Mensajes: 125
Antigüedad: 12 años, 9 meses
Puntos: 0
Algun Destroyer puede ayudarme..?

Hola amigos hice todo lo que me dijieron para conectar mi pagina php a mssql

pero al ejecutar:

Fatal error: Call to undefined function: mssql_fetch_assoc() in c:\apache\htdocs\principal.php on line 37


que hago...?

ha con la funcion mssql_fetch_row()
no tengo problemas pero estoy mas acostumbrado a usar la primera funcion?

Saludos Gracias a todos.
  #2 (permalink)  
Antiguo 07/03/2005, 09:31
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Deberías especificar bajo que condiciones ejecutas ese script .. que versión de PHP en que sistema operativo u otros detalles.

Te lo comento por qué según el manual oficial de PHP, dicha función está disponible desde: 4.2.0 o superior ..y aparecen comentarios sobre otras condiciones y versiones de PHP que tener encuenta:

http://www.php.net/mssql_fetch_assoc

Un saludo,
  #3 (permalink)  
Antiguo 07/03/2005, 09:45
 
Fecha de Ingreso: febrero-2005
Mensajes: 125
Antigüedad: 12 años, 9 meses
Puntos: 0
que debo hacer

Gracias Cluster sabia que podia contar con tigo.
la version es 4.3.4.4
mi sistema operativo es xp
mi escript lo ejecuto en apachetriad
  #4 (permalink)  
Antiguo 07/03/2005, 10:03
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
En el link que te dejé (lo leistes?) .. hay un comentario sobre un "bug" (o supuesto bug .. ) de esa función para esa versión de PHP que parece que usas .. revisalo, por qué si las especificaciones de tu versión de PHP que usas cumplen lo que menciona la documentación .. al igual que otras fucniones de dicha extensión .. debería funcionar esa función.

Cita:
mi escript lo ejecuto en apachetriad
Desde Yá .. olvidate si instalastes PHP a mano o con ayuda de algún WAMP como es "ApacheTriad" .. intenta fijarte bien que versiones y que cosas usas concretamente .. me refiero a Apache (como servidor HTTP ..) con tal versión .. Mysql con tal versión (si corresponde ...) etc...

Un saludo,
  #5 (permalink)  
Antiguo 07/03/2005, 10:34
 
Fecha de Ingreso: febrero-2005
Mensajes: 125
Antigüedad: 12 años, 9 meses
Puntos: 0
Gracias de todas manera el php que tengo es mayor

al prerequisito no se que sucede.
gracias .
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 21:46.